/*
   Copyright(c) 2002-2011 Thetus Corporation. www.thetus.com

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/

package com.thetus.oss.maven.properties;

import java.util.Properties;

/**
 * <p>
 * An interface that contains a {@link Properties} and a <code>String</code> representing the name of a directory in
 * which a {@link com.thetus.build.utils.LocalConfigurationManager LocalConfigurationManager} can look for a properties
 * file. It is intended to abstract away direct use of a {@link org.apache.maven.project.MavenProject MavenProject} in
 * the {@link PropertySetter}.
 * </p>
 */
public interface IPropertyContainer {

    Properties getProperties();

    String GetGroupName();
}
