/*
   Copyright(c) 2002-2011 Thetus Corporation. www.thetus.com

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/

package com.thetus.oss.maven.properties;

import org.apache.maven.project.MavenProject;

import java.util.Properties;

/**
 * A simple wrapper around {@link MavenProject}. Only the artifactId and Maven properties in the
 * <code>MavenProject</code> are needed by the {@link PropertySetter}, so this class is used the generalize the
 * <code>PropertySetter</code> input.
 */
public class MavenProjectPropsContainer implements IPropertyContainer {

    private Properties m_properties;
    private String m_groupName;

    public MavenProjectPropsContainer(MavenProject mavenProject) {
        m_properties = mavenProject.getProperties();
        m_groupName = mavenProject.getArtifactId();
    }

    @Override
    public Properties getProperties() {
        return m_properties;
    }

    @Override
    public String GetGroupName() {
        return m_groupName;
    }
}
