/*
   Copyright(c) 2002-2011 Thetus Corporation. www.thetus.com

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/

package com.thetus.oss.maven.util;

import org.apache.maven.model.Dependency;

import java.util.Comparator;

/**
 * Simple comparator for Dependencies that just does a lexical compare on their maven coordinates, as in,
 * (groupId:artifactId:version)
 * @author Samson "Zigurd" Bock - sbock@thetus.com
 */
public class DependencySorter implements Comparator<Dependency> {
    @Override
    public int compare(Dependency o1, Dependency o2) {
        String a = o1.getGroupId() + ":" + o1.getArtifactId() + ":" + o1.getVersion() + ":" + o1.getClassifier() + ":" + o1.getScope();
        String b = o2.getGroupId() + ":" + o2.getArtifactId() + ":" + o2.getVersion() + ":" + o2.getClassifier() + ":" + o1.getScope();
        return a.compareTo(b);
    }
}
