/*
   Copyright(c) 2002-2011 Thetus Corporation. www.thetus.com

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/

package com.thetus.oss.maven.util;

import com.thetus.oss.build.core.util.M2LocationUtils;
import org.apache.maven.execution.MavenSession;
import org.jetbrains.annotations.Nullable;

import java.io.File;

/**
 * A collection of helper functions for getting various locations that projects using Maven might need to know about.
 * @author Thor - nanderson@gthetus.com
 */
public class MavenLocationUtils {

    /**
     * Returns a String containing the location of m2. It assumes that m2 is at ~/.m2
     * unless the M2_LOCATION environment variable is set
     * @param session No longer necessary
     * @return The parent of the local repository
     */
    @Deprecated
    public static String getM2Location (MavenSession session) {
        return M2LocationUtils.getM2Location();
    }

    /**
     * Returns a String containing the location of m2. It assumes that m2 is at ~/.m2
     * unless the M2_LOCATION environment variable is set
     * @return The parent of the local repository
     */
    public static String getM2Location () {
        return M2LocationUtils.getM2Location();
    }

    /**
     * Returns a File pointing at m2. It assumes that m2 is at ~/.m2
     * unless the M2_LOCATION environment variable is set
     * @return The parent of the local repository
     */
    public static File getM2Directory () {
        return M2LocationUtils.getM2Directory();
    }
}
